<?php

namespace Hecate\Style\Parsers;

class Utils {

	public static function getValueWithUnit( $data ) {
		if (
			static::getValueWithUnitIsNotEmpty( $data )
		) {
			return "{$data['value']}{$data['unit']}";
		}
		return '';
	}

	public static function getValueWithUnitIsNotEmpty( $data ) {
		return isset( $data['value'] ) &&
			isset( $data['unit'] ) &&
			( ! empty( $data['value'] ) || static::isZero( $data['value'] ) ) &&
			! empty( $data['unit'] );
	}

	public static function isZero( $value ) {
		return $value === '0' || $value === 0;
	}

	public static function getTextAlignToFlexValue( $value ) {
		switch ( $value ) {
			case 'left':
				return 'flex-start';
			case 'center':
				return 'center';
			case 'right':
				return 'flex-end';
		}

		return $value;
	}
}
